
function ICF_Value=ICF_Computation(ability,a,b,c,D)
% This function is used to compute the item characteristic function value of 3PLM

% ability is the current ability value
% a is the discrimination value of the current item
% b is the difficulty value of the current item
% c is the guessing value of the current item
% D is the scale constant

temp1=-D*a;
temp2=temp1*(ability-b);
if (temp2>250)
    ICF_Value=c;
elseif (temp2<-100)
    ICF_Value=0.9999;
else
    ICF_Value=c+(1-c)/(1+exp(temp2));
end