function [beta,TAU]=norInvW_M(prior,PI)
% The size of PI is person*2.
person=size(PI,1);
domain=size(PI,2)/2;
muprior=prior(1:2*domain,1);    % 2domain*1
kaprior=prior(2*domain+1,2*domain+1);
vprior=prior(2*domain+2,2*domain+2);
tauprior=prior(2*domain+3:end,2*domain+3:end);  %2domain*2domain
pi_mean=mean(PI',2);    % 2domain*1
mupost=kaprior*muprior/(kaprior+person)+person*pi_mean/(kaprior+person);    %2*1
kapost=kaprior+person;
vpost=vprior+person;
p0=0*eye(2*domain);
for i=1:person
    p0=p0+(PI(i,:)'-pi_mean)*(PI(i,:)'-pi_mean)';
end
taupost=tauprior+(kaprior*person)*(pi_mean-muprior)*(pi_mean-muprior)'/(person+kaprior)+p0;
TAU_temp=wishrnd(inv(taupost),vpost);
I=0.00001*eye(2*domain);
TAU=inv(TAU_temp+I);

% TAU=iwishrnd(inv(taupost+I),vpost);
beta=mvnrnd(mupost,TAU./kapost);
beta=beta';    %2domain*1
